Page MenuHomePhabricator

Release next version of QuickSurveys
Closed, ResolvedPublic

Description

A new version of QuickSurveys should be released.

Follow the release process and then update the version number on the extension page.

Event Timeline

phuedx created this task.Nov 27 2015, 1:03 PM
phuedx raised the priority of this task from to Needs Triage.
phuedx updated the task description. (Show Details)
phuedx added a project: QuickSurveys.
phuedx added a subscriber: phuedx.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptNov 27 2015, 1:03 PM
phuedx updated the task description. (Show Details)Nov 27 2015, 1:48 PM
phuedx set Security to None.
phuedx updated the task description. (Show Details)

There's no reason this shouldn't be the first major (1.0.0) release IMO. We've already run several surveys in production on our largest project.

KLans_WMF triaged this task as Medium priority.Nov 30 2015, 6:00 PM
Jdlrobson renamed this task from Release QuickSurveys 0.7.0 to Release next version of QuickSurveys.Dec 7 2015, 4:38 PM
Jdlrobson lowered the priority of this task from Medium to Low.
Jdlrobson added a project: Google-Code-In-2015.
Jdlrobson added a subscriber: Jdlrobson.

What will be in the next release? How should it be versioned? Seems like a minor release so far.

Change 259860 had a related patch set uploaded (by Jhobs):
Release 1.0.0

https://gerrit.wikimedia.org/r/259860

@bmansurov @phuedx are you okay with bumping to 1 or should this be 0.7? Given tweaks are minor I'd personally rather hold out for a 1.0.0 release when we've run a few more surveys.

I agree with @jhobs here. We've run a number of surveys in production on our largest project. 1.0.0 it is. We should also probably update the release status of the extension on the extension page.

I also agree with @jhobs. To quote semver specification (points 4 and 5):

Major version zero (0.y.z) is for initial development. Anything may change at any time. The public API should not be considered stable.

Version 1.0.0 defines the public API. The way in which the version number is incremented after this release is dependent on this public API and how it changes.

I guess this is where my mindset is different... I saw the two surveys we ran as beta testing.
It still feels anything but stable to me and given the lingering bugs around ease of use, T119367, T115485.
That said I guess we can aim for a 2.0.0 release for those.

If the main motivation is we've already run surveys in production, to avoid confusion it feels like we should just reset the version number and do a release afterwards with the minor changes (it's already confused @Florian)

Up to you guys what you want to do here, don't feel strongly either way.

If the main motivation is we've already run surveys in production, to avoid confusion it feels like we should just reset the version number and do a release afterwards with the minor changes (it's already confused @Florian)

This seems like a fine middle-ground to me. Basically the 1.0.0 release includes nothing (as a catch-up) and then a 1.1.0 immediately after with the current patches?

Yup! I think that avoids all this confusion and why Florian and I were originally confused.

Change 260680 had a related patch set uploaded (by Jhobs):
Release 1.0.0

https://gerrit.wikimedia.org/r/260680

We couldn't do the 1.0.0 blank release due to a couple cherry-picked commits. Instead, I've changed the next release to 1.1.0 and clarified in the commit message why. The only thing I'm uncertain of is if I should rename 0.6.0 to 1.0.0 in the HISTORY file -- since that's effectively what we wanted to do -- or if I should leave it since nobody would be able to find a "Release 1.0.0" commit.

Change 259860 merged by jenkins-bot:
Release 1.1.0

https://gerrit.wikimedia.org/r/259860

Jdlrobson closed this task as Resolved.Dec 23 2015, 12:49 AM
Jdlrobson changed the status of subtask T119367: Validate and handle a survey's platform from Open to Stalled.Jun 22 2016, 5:57 PM
Jdlrobson changed the status of subtask T119367: Validate and handle a survey's platform from Stalled to Open.Mar 6 2017, 8:06 PM